<?php

// No direct access.
defined('_JEXEC') or die;

class CommonClubsModelFactoryUser extends AbstractCommonClubsModelFactory
{
    public function fetchAttributes()
    {
        return array(
            new CommonClubsModelColumnString('user', new CommonClubsControllerMappingCmd('Benutzername')),
            new CommonClubsModelColumnString('name', new CommonClubsControllerMappingString('Bürgerlicher Name')),
            new CommonClubsModelColumnString('password', new CommonClubsControllerMappingString('Passwort', false)),
            new CommonClubsModelColumnString('address', new CommonClubsControllerMappingString('Adresse')),
            new CommonClubsModelColumnString('city', new CommonClubsControllerMappingString('Stadt')),
            new CommonClubsModelColumnString('mail', new CommonClubsControllerMappingString('E-Mail')),
            new CommonClubsModelColumnString('phone', new CommonClubsControllerMappingString('Telefonnummer', false)),
            new CommonClubsModelColumnString('mobile', new CommonClubsControllerMappingString('Handynummer', false))
        );
    }

    public function getTableName()
    {
        return '#__club_users';
    }

    public function getClassName()
    {
        return 'CommonClubsModelUser';
    }

    
}
