<?php


// No direct access.
defined('_JEXEC') or die;

class ClubsControllerClub extends AbstractClubsController
{
    
    protected function getSingleBaseName()
    {
        return 'club';
    }
    
    protected function filterRaw(&$values)
    {
        if(is_null($values['charitable']))
            $values['charitable'] = false;
        else 
            $values['charitable'] = true;
        
        $values['president'] = (int)($values['president']);
    }
    
    protected function filterPrePacking(&$values)
    {
        $values['president'] = $values['president']->getId();
    }
    protected function getFactory()
    {
        return new CommonClubsModelFactoryClub();
    }
    
    protected function additionalData()
    {
        return array(
            'offers' => new CommonClubsControllerMappingInt('Angebot')
        );
    }

    protected function saveAssocs($obj, $values)
    {
        $obj->setOfferIds($values['offers']);
    }
    
}
