<?php

// No direct access.
defined('_JEXEC') or die;

abstract class AbstractCommonClubsControllerMapping
{
    
    protected $required;
    protected $name;
    
    public function __construct($name, $required = true)
    {
        $this->name = $name;
        $this->required = $required;
    }
    
    
    /**
     * @param mixed $value
     * @return bool
     */
    public function requiredDataAvailable($value)
    {
        if($this->required && ($value === null || $value === ''))
            return false;
        
        return true;
    }
    
    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }
    
    /**
     * @param JInput $input
     * @param string $name
     * @return string
     */
    public abstract function getFilteredValue($input, $name);
    
    /**
     * @param mixed $value
     * @return boolean
     */
    public function rawValueValid($value)
    {
        return true;
    }
    
}
