<?php

use Joomla\CMS\Router\Route;

// No direct access.
defined('_JEXEC') or die;

?>

<form method="post" action="<?php echo $this->address; ?>">
<h2>Stammdaten</h2>
<input type='hidden' name='id' value='<?php echo $this->object->getId(); ?>'>
<table>
  <tr>
    <td>Username</td>
    <td><input type='text' name='user' value='<?php echo htmlentities($this->object->getUserName()); ?>'></td>
  </tr>
  <tr>
    <td>Passwort</td>
    <td><input type='password' name='pwd' value=''></td>
  </tr>
  <tr>
    <td>Passwort wiederholen</td>
    <td><input type='password' name='pwdConfirm' value=''></td>
  </tr>
  <tr>
    <td>Bürgerlicher Name</td>
    <td><input type='text' name='name' value='<?php echo htmlentities($this->object->getName()); ?>'></td>
  </tr>
  <tr>
    <td>Adresse</td>
    <td>
    	<textarea rows="4" name='address'><?php echo (htmlentities($this->object->getAddress())); ?></textarea>
  </tr>
  <tr>
    <td>Stadt</td>
    <td><input type='text' name='city' value='<?php echo htmlentities($this->object->getCity()); ?>'></td>
  </tr>
  <tr>
    <td>E-Mail</td>
    <td><input type='text' name='mail' value='<?php echo htmlentities($this->object->getMail()); ?>'></td>
  </tr>
  <tr>
    <td>Telefon</td>
    <td><input type='text' name='phone' value='<?php echo htmlentities($this->object->getPhone()); ?>'></td>
  </tr>
  <tr>
    <td>Handy</td>
    <td><input type='text' name='mobile' value='<?php echo htmlentities($this->object->getMobile()); ?>'></td>
  </tr>
  <?php if(! $this->isNew): ?>
  <tr>
    <td>ID</td>
    <td><?php echo $this->object->getId(); ?></td>
  </tr>
  <?php endif; ?>
</table>

<?php if(! $this->isNew): ?>
    <h2>Verkn&uuml;pfungen</h2>
    <?php if(sizeof($this->jobs) == 0): ?>
    	<p>Es wurden keine Verkn&uuml;pfungen zu der Person gefunden.</p>
    <?php else: ?>
        <table class='table table-stiped, table-hover'>
        	<tr>
        		<th>Posten</th>
        		<th>Verein</th>
        		<th>Stadt</th>
        	</tr>
        	<?php foreach($this->jobs as $job): ?>
        		<tr>
        			<td><?php echo htmlentities($job['position']); ?></td>
        			<td><a href='<?php echo $job['url']; ?>' target='_blank'><?php echo htmlentities($job['club']); ?></a></td>
        			<td><?php echo htmlentities($job['city']); ?></td>
        		</tr>
        	<?php endforeach; ?>
        </table>
    <?php endif; ?>
<?php endif; ?>
<input type='submit' value='Speichern'> <br /><a href='<?php echo Route::_('index.php?option=com_clubs&view=users'); ?>'>Zur&uuml;ck zur &Uuml;bersicht</a>
</form>
