<?php

// No direct access.
defined('_JEXEC') or die;

class CommonClubsModelFactoryUserassoc extends AbstractCommonClubsModelFactory
{
    protected function fetchAttributes()
    {
        return array(
            new CommonClubsModelColumnRef('user', 'CommonClubsModelUser', 'userid', new CommonClubsControllerMappingRef('User', new CommonClubsModelFactoryUser())),
            new CommonClubsModelColumnRef('club', 'CommonClubsModelClub', 'clubid', new CommonClubsControllerMappingRef('Club', new CommonClubsModelFactoryClub())),
            new CommonClubsModelColumnRef('position', 'CommonClubsModelPosition', 'positionid', new CommonClubsControllerMappingRef('Position', new CommonClubsModelFactoryPosition())),
            new CommonClubsModelColumnInt('admin', new CommonClubsControllerMappingInt('Admin')),
            new CommonClubsModelColumnString('address', new CommonClubsControllerMappingString('Adresse', false)),
            new CommonClubsModelColumnString('mail', new CommonClubsControllerMappingString('E-Mail', false)),
            new CommonClubsModelColumnString('phone', new CommonClubsControllerMappingString('Telefonnummer', false)),
            new CommonClubsModelColumnString('state', new CommonClubsControllerMappingString('Status'))
// ->            `state` enum('regular', 'vacant', 'temporary') NOT NULL DEFAULT 'vacant',
        );
    }

    public function getTableName()
    {
        return '#__club_user_assocs';
    }

    public function getClassName()
    {
        return 'CommonClubsModelUserassoc';
    }
    
}
