<?php

use Joomla\CMS\Factory;
use Joomla\CMS\Toolbar\ToolbarHelper;

// No direct access.
defined('_JEXEC') or die;

JLoader::register("ClubsControllerClub", JPATH_ROOT . "/administrator/components/com_clubs/controllers/club.php");

class ClubsViewClub extends AbstractClubsViewSingle
{
    function display($tpl = null)
    {
        ToolbarHelper::title('Club-Management - Verein', 'cube');
        
        $this->prepareDisplay();
        
        $userFactory = new CommonClubsModelFactoryUser();
        $this->users = $userFactory->loadElements();
        
        JHtmlJquery::framework();
        Factory::getDocument()->addScript('components/com_clubs/res/club/club.js');
        Factory::getDocument()->addStyleSheet('components/com_clubs/res/club/admin-club.css');
        
//         $this->
        
        parent::display($tpl);
    }
    
    protected function getControllerName()
    {
        return 'club';
    }

    protected function getFactory()
    {
        return new CommonClubsModelFactoryClub();
    }

    
    
}
