<?php

// No direct access.
defined('_JEXEC') or die;

class CommonClubsModelFactoryClub extends AbstractCommonClubsModelFactory
{
    public function fetchAttributes()
    {
        return array(
            new CommonClubsModelColumnString('name', new CommonClubsControllerMappingString('Clubname')),
            new CommonClubsModelColumnString('address', new CommonClubsControllerMappingString('Adresse')),
            new CommonClubsModelColumnString('city', new CommonClubsControllerMappingString('Stadt')),
            new CommonClubsModelColumnString('homepage', new CommonClubsControllerMappingString('Homepaage', false)),
            new CommonClubsModelColumnString('mail', new CommonClubsControllerMappingString('E-Mail')),
            new CommonClubsModelColumnString('iban', new CommonClubsControllerMappingCmd('IBAN')),
            new CommonClubsModelColumnString('bic', new CommonClubsControllerMappingCmd('BIC')),
            new CommonClubsModelColumnInt('charitable', new CommonClubsControllerMappingInt('Gemeinnützigkeit')),
            new CommonClubsModelColumnRef('president', 'CommonClubsModelUser', 'president', new CommonClubsControllerMappingRef('Vorsitzender', new CommonClubsModelFactoryUser()))
        );
    }

    public function getTableName()
    {
        return '#__club_clubs';
    }

    public function getClassName()
    {
        return 'CommonClubsModelClub';
    }

    
}