<?php

// No direct access.
defined('_JEXEC') or die;

class CommonClubsModelFactoryPlace extends AbstractCommonClubsModelFactory
{
    public function fetchAttributes()
    {
        return array(
            new CommonClubsModelColumnString('name', new CommonClubsControllerMappingString('Bezeichnung')),
            new CommonClubsModelColumnRef('club', 'CommonClubsModelClub', 'clubid', new CommonClubsControllerMappingRef('Club', new CommonClubsModelFactoryClub())),
            new CommonClubsModelColumnInt('area', new CommonClubsControllerMappingInt('Fläche', false))
        );
    }

    public function getTableName()
    {
        return '#__club_places';
    }

    public function getClassName()
    {
        return 'CommonClubsModelPlace';
    }

    
}