<?php

use Joomla\CMS\Router\Route;

// No direct access.
defined('_JEXEC') or die;

?>

<form id='clubposition-form' method="post" action="<?php echo Route::_('index.php?option=com_clubs&task=clubposition.save&format=json') ?>">
<input type='hidden' name='id' value='<?php echo $this->id; ?>'>
<input type='hidden' name='clubid' value='<?php echo $this->clubid; ?>'>
<h1>Posten bearbeiten</h1>

<table>
    <tr>
        <td>Funktion: </td>
        <td>
        <select name='positionid'>
        	<?php foreach($this->positions as $p): ?>
        		<?php
    		      if($this->assoc->getPosition() !== null)
    		          $selected = $this->assoc->getPosition()->getId() == $p->getId();
    		      else
    		          $selected = false;
        		?>
        		<option value='<?php echo $p->getId(); ?>' <?php if($selected) echo 'selected'; ?>>
        			<?php echo $p->getName(); ?>
    			</option>
        	<?php endforeach; ?>
        </select>
        </td>
    </tr>
    <tr>
    	<td>Status</td>
    	<td>
    		<select name='state' id='clubposition-state'>
    			<option value='regular' <?php echo $this->assoc->getState() === 'regular' ? 'selected' : ''; ?>>regul&auml;r</option>
    			<option value='temporary' <?php echo $this->assoc->getState() === 'temporary' ? 'selected' : ''; ?>>kommisarisch</option>
    			<option value='vacant' <?php echo $this->assoc->getState() === 'vacant' ? 'selected' : ''; ?>>vakant</option>
    		</select>
    	</td>
    </tr>
    <tr id='clubposition-user' <?php if($this->assoc->getState() === 'vacant') echo 'class="dialog-entry-hidden"'; ?>>
        <td>Person: </td>
        <td>
        <select name='userid'>
        	<?php foreach($this->users as $u): ?>
            	<?php
            	   $uid = $this->assoc->getUser() === null ? -1 : $this->assoc->getUser()->getId();
            	   $selected = ($u->getId() == $uid);
            	?>
        		<option value='<?php echo $u->getId();?>' <?php echo $selected ? 'selected' : ''; ?>>
        			<?php echo $u->getName(); ?> (<?php echo $u->getCity(); ?>)
    			</option>
        	<?php endforeach; ?>
        </select>
        </td>
    </tr>
    <tr>
        <td>Admin: </td>
        <td>
        	<input type='checkbox' name='admin' value='1' <?php echo $this->assoc->isAdmin() ? 'checked' : ''; ?>>
        </td>
    </tr>
    <tr>
        <td>Adresse (optional): </td>
        <td>
       		<textarea name='address' rows='4'><?php echo $this->assoc->getAddress(); ?></textarea>
        </td>
    </tr>
    <tr>
        <td>E-Mail (optional): </td>
        <td>
        	<input type='text' name='mail' value='<?php echo $this->assoc->getMail(); ?>'>
        </td>
    </tr>
    <tr>
        <td>Telefon-Nr. (optional): </td>
        <td>
        	<input type='text' name='phone' value='<?php echo $this->assoc->getPhone(); ?>'>
        </td>
    </tr>
</table>

</form>

<a href='#' id='clubposition-save'>Speichern</a>
<a href='#' id='clubposition-abort'>Abbrechen</a>

